Strict Pop-up Blocker Version History

3 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 0.3 9.9 KiB Works with Firefox 38.0a1 - 56.*

Reset dom.popup_allowed_events to the default value every time Firefox exits.
This is to make the transition to Firefox 57, which will not support legacy add-ons, smoother.
This add-on will not be updated for Firefox 57 and will stop working because web-extensions add-ons can't change Firefox's preferences.

Version 0.2.1-signed.1-signed 14.9 KiB Works with Firefox 29.0 - 56.*

Enable Firefox's pop-up blocking when toggling strict pop-up blocking

Version 0.1.1-signed.1-signed 14.8 KiB Works with Firefox 29.0 - 31.*